      subroutine caldfc(jdist,nt,np)
      use module
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Pour les calculs selectionnes
! Calcule jdist, distance acceptable du det CAS, etant donne
! nt et np
! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

        !print*,'entree caldfc',sel
      if(sel==0) return
      ntp=nt+np
        !print*,'caldfc',nt,np,ntp
      if(sel==2) then
         if(ntp==4) then
            jdist=0
         else if(ntp==3) then
            jdist=1
         else if(ntp==2) then
            if(nt==1) then
               jdist=1
            else
               jdist=2
            endif
         else if(ntp==1) then
            jdist=2
         else if(ntp==0) then
            jdist=2
         endif
         return
      endif
      return
      end
      
